Ford Powerstroke Diesel Forum banner
1 - 3 of 3 Posts

· Registered
Joined
·
1 Posts
Discussion Starter · #1 ·
I bought the CTS Upgrade Kit from the Edge website and recieved it last night. I was fully aware of the "upgrade" that i would need to do to the Juice Module to get it to work with the new CTS. I called Edge Tech Support this morning and the Tech Guy told me that my version (1.03) was unsupported and i would need to buy a completely new kit for my truck. WTF!!! Anyone else run into this? He told me that i couldnt just get a new module nor could i get just the harness and module, he told me i should return the CTS that I bought from them and buy a completely new kit!
 

· Registered
Joined
·
941 Posts
I'm not looking at there web site right now, but I thought it said some models not supported. I know mine isn't, as its the first version. Not platinum. But sorry that sucks. At least you have a good monitor now. Now when your ready, get rid of the attitude and get a SCT, thats what I'm gonna do when I've got the cash.

Sent from my smart phone that seems dumb compared to my wifes new phone...
 
1 - 3 of 3 Posts
This is an older thread, you may not receive a response, and could be reviving an old thread. Please consider creating a new thread.
Top